org.activiti.engine.delegate.event

## Interface ActivitiEvent

- All Known Subinterfaces:
    ActivitiActivityCancelledEvent, ActivitiActivityEvent, ActivitiCancelledEvent, ActivitiEntityEvent, ActivitiEntityWithVariablesEvent, ActivitiErrorEvent, ActivitiMembershipEvent, ActivitiMessageEvent, ActivitiProcessStartedEvent, ActivitiSequenceFlowTakenEvent, ActivitiSignalEvent, ActivitiVariableEvent
  All Known Implementing Classes:
    ActivitiActivityCancelledEventImpl, ActivitiActivityEventImpl, ActivitiEntityEventImpl, ActivitiEntityExceptionEventImpl, ActivitiEntityWithVariablesEventImpl, ActivitiErrorEventImpl, ActivitiEventImpl, ActivitiMembershipEventImpl, ActivitiMessageEventImpl, ActivitiProcessCancelledEventImpl, ActivitiProcessStartedEventImpl, ActivitiSequenceFlowTakenEventImpl, ActivitiSignalEventImpl, ActivitiVariableEventImpl

      public interface ActivitiEvent

  Describes an event that occurred in the Activiti Engine which is dispatched to external listeners, if any.
  Author:
    Frederik Heremans

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EngineServices` | `getEngineServices()`
    `String` | `getExecutionId()`
    `String` | `getProcessDefinitionId()`
    `String` | `getProcessInstanceId()`
    `ActivitiEventType` | `getType()`

- - ### Method Detail

    - #### getType

          ActivitiEventType getType()

      Returns:
        type of event.

    - #### getExecutionId

          String getExecutionId()

      Returns:
        the id of the execution this event is associated with. Returns null, if the event was not dispatched from within an active execution.

    - #### getProcessInstanceId

          String getProcessInstanceId()

      Returns:
        the id of the process instance this event is associated with. Returns null, if the event was not dispatched from within an active execution.

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      Returns:
        the id of the process definition this event is associated with. Returns null, if the event was not dispatched from within an active execution.

    - #### getEngineServices

          EngineServices getEngineServices()

      Returns:
        the `EngineServices` associated to the engine this event originated from. Returns null, when not called from within a listener call or when no Activiti context is active.

Copyright © 2016 Alfresco. All rights reserved.